﻿/*
    Forza Studio: Forza Motorsport resource extraction tool.

    Copyright (C) 2012 Mike Davis (http://codeescape.com/)

    Permission is hereby granted, free of charge, to any person 
    obtaining a copy of this software and associated documentation
    files (the "Software"), to deal in the Software without restriction,
    including without limitation the rights to use, copy, modify, merge,
    publish, distribute, sublicense, and/or sell copies of the Software,
    and to permit persons to whom the Software is furnished to do so,
    subject to the following conditions:

    The above copyright notice and this permission notice shall be included 
    in all copies or substantial portions of the Software.

    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
    OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
    FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
    THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
    LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
    FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
    DEALINGS IN THE SOFTWARE.
*/

namespace ForzaStudio
{
    partial class ForzaStudioForm
    {
        /// <summary>
        /// Required designer variable.
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary>
        /// Clean up any resources being used.
        /// </summary>
        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        #region Windows Form Designer generated code

        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container();
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(ForzaStudioForm));
            this.statusStrip1 = new System.Windows.Forms.StatusStrip();
            this.lblStatus = new System.Windows.Forms.ToolStripStatusLabel();
            this.lblInformation = new System.Windows.Forms.ToolStripStatusLabel();
            this.mnuMain = new System.Windows.Forms.MenuStrip();
            this.mnuFile = new System.Windows.Forms.ToolStripMenuItem();
            this.mnuImport = new System.Windows.Forms.ToolStripMenuItem();
            this.mnuExit = new System.Windows.Forms.ToolStripMenuItem();
            this.mnuUtilities = new System.Windows.Forms.ToolStripMenuItem();
            this.mnuUnpackArchive = new System.Windows.Forms.ToolStripMenuItem();
            this.mnuAbout = new System.Windows.Forms.ToolStripMenuItem();
            this.splitContainer1 = new System.Windows.Forms.SplitContainer();
            this.tabForzaObjects = new System.Windows.Forms.TabControl();
            this.tabModels = new System.Windows.Forms.TabPage();
            this.tvModels = new System.Windows.Forms.TreeView();
            this.ctxModelTreeMenu = new System.Windows.Forms.ContextMenuStrip(this.components);
            this.mnuExtractCheckedModels = new System.Windows.Forms.ToolStripMenuItem();
            this.mnuExtractAllModels = new System.Windows.Forms.ToolStripMenuItem();
            this.tabTextures = new System.Windows.Forms.TabPage();
            this.tvTextures = new System.Windows.Forms.TreeView();
            this.ctxTextureTreeMenu = new System.Windows.Forms.ContextMenuStrip(this.components);
            this.mnuExtractSelectedTextures = new System.Windows.Forms.ToolStripMenuItem();
            this.mnuExtractAllTextures = new System.Windows.Forms.ToolStripMenuItem();
            this.pnlTextureDisplay = new System.Windows.Forms.Panel();
            this.ctxTextureMenu = new System.Windows.Forms.ContextMenuStrip(this.components);
            this.mnuShowTextureAlpha = new System.Windows.Forms.ToolStripMenuItem();
            this.mnuSaveTextureAs = new System.Windows.Forms.ToolStripMenuItem();
            this.pnlViewport = new System.Windows.Forms.Panel();
            this.ctxViewportMenu = new System.Windows.Forms.ContextMenuStrip(this.components);
            this.mnuShowWireframe = new System.Windows.Forms.ToolStripMenuItem();
            this.mnuExportObj = new System.Windows.Forms.ToolStripMenuItem();
            this.cmbViewportSpeed = new System.Windows.Forms.ToolStripComboBox();
            this.statusStrip1.SuspendLayout();
            this.mnuMain.SuspendLayout();
            this.splitContainer1.Panel1.SuspendLayout();
            this.splitContainer1.Panel2.SuspendLayout();
            this.splitContainer1.SuspendLayout();
            this.tabForzaObjects.SuspendLayout();
            this.tabModels.SuspendLayout();
            this.ctxModelTreeMenu.SuspendLayout();
            this.tabTextures.SuspendLayout();
            this.ctxTextureTreeMenu.SuspendLayout();
            this.ctxTextureMenu.SuspendLayout();
            this.ctxViewportMenu.SuspendLayout();
            this.SuspendLayout();
            // 
            // statusStrip1
            // 
            this.statusStrip1.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.lblStatus,
            this.lblInformation});
            this.statusStrip1.LayoutStyle = System.Windows.Forms.ToolStripLayoutStyle.HorizontalStackWithOverflow;
            this.statusStrip1.Location = new System.Drawing.Point(0, 431);
            this.statusStrip1.Name = "statusStrip1";
            this.statusStrip1.Size = new System.Drawing.Size(632, 22);
            this.statusStrip1.TabIndex = 0;
            this.statusStrip1.Text = "statusStrip1";
            // 
            // lblStatus
            // 
            this.lblStatus.Name = "lblStatus";
            this.lblStatus.Size = new System.Drawing.Size(0, 17);
            // 
            // lblInformation
            // 
            this.lblInformation.Name = "lblInformation";
            this.lblInformation.Size = new System.Drawing.Size(0, 17);
            // 
            // mnuMain
            // 
            this.mnuMain.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.mnuFile,
            this.mnuUtilities,
            this.mnuAbout});
            this.mnuMain.Location = new System.Drawing.Point(0, 0);
            this.mnuMain.Name = "mnuMain";
            this.mnuMain.Size = new System.Drawing.Size(632, 24);
            this.mnuMain.TabIndex = 1;
            // 
            // mnuFile
            // 
            this.mnuFile.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.mnuImport,
            this.mnuExit});
            this.mnuFile.ForeColor = System.Drawing.SystemColors.ControlText;
            this.mnuFile.Name = "mnuFile";
            this.mnuFile.Size = new System.Drawing.Size(35, 20);
            this.mnuFile.Text = "File";
            // 
            // mnuImport
            // 
            this.mnuImport.Name = "mnuImport";
            this.mnuImport.Size = new System.Drawing.Size(106, 22);
            this.mnuImport.Text = "Import";
            this.mnuImport.Click += new System.EventHandler(this.mnuImport_Click);
            // 
            // mnuExit
            // 
            this.mnuExit.Name = "mnuExit";
            this.mnuExit.Size = new System.Drawing.Size(106, 22);
            this.mnuExit.Text = "Exit";
            this.mnuExit.Click += new System.EventHandler(this.mnuExit_Click);
            // 
            // mnuUtilities
            // 
            this.mnuUtilities.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.mnuUnpackArchive});
            this.mnuUtilities.Name = "mnuUtilities";
            this.mnuUtilities.Size = new System.Drawing.Size(53, 20);
            this.mnuUtilities.Text = "Utilities";
            // 
            // mnuUnpackArchive
            // 
            this.mnuUnpackArchive.Name = "mnuUnpackArchive";
            this.mnuUnpackArchive.Size = new System.Drawing.Size(148, 22);
            this.mnuUnpackArchive.Text = "Unpack Archive";
            this.mnuUnpackArchive.Click += new System.EventHandler(this.mnuExtractZip_Click);
            // 
            // mnuAbout
            // 
            this.mnuAbout.Name = "mnuAbout";
            this.mnuAbout.Size = new System.Drawing.Size(48, 20);
            this.mnuAbout.Text = "About";
            this.mnuAbout.Click += new System.EventHandler(this.mnuAbout_Click);
            // 
            // splitContainer1
            // 
            this.splitContainer1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.splitContainer1.Dock = System.Windows.Forms.DockStyle.Fill;
            this.splitContainer1.FixedPanel = System.Windows.Forms.FixedPanel.Panel1;
            this.splitContainer1.Location = new System.Drawing.Point(0, 24);
            this.splitContainer1.Name = "splitContainer1";
            // 
            // splitContainer1.Panel1
            // 
            this.splitContainer1.Panel1.Controls.Add(this.tabForzaObjects);
            this.splitContainer1.Panel1MinSize = 200;
            // 
            // splitContainer1.Panel2
            // 
            this.splitContainer1.Panel2.BackColor = System.Drawing.SystemColors.Control;
            this.splitContainer1.Panel2.Controls.Add(this.pnlTextureDisplay);
            this.splitContainer1.Panel2.Controls.Add(this.pnlViewport);
            this.splitContainer1.Size = new System.Drawing.Size(632, 407);
            this.splitContainer1.SplitterDistance = 200;
            this.splitContainer1.SplitterWidth = 3;
            this.splitContainer1.TabIndex = 2;
            // 
            // tabForzaObjects
            // 
            this.tabForzaObjects.Controls.Add(this.tabModels);
            this.tabForzaObjects.Controls.Add(this.tabTextures);
            this.tabForzaObjects.Dock = System.Windows.Forms.DockStyle.Fill;
            this.tabForzaObjects.Location = new System.Drawing.Point(0, 0);
            this.tabForzaObjects.Name = "tabForzaObjects";
            this.tabForzaObjects.SelectedIndex = 0;
            this.tabForzaObjects.Size = new System.Drawing.Size(198, 405);
            this.tabForzaObjects.TabIndex = 1;
            this.tabForzaObjects.Selecting += new System.Windows.Forms.TabControlCancelEventHandler(this.tabForzaObjects_Selecting);
            // 
            // tabModels
            // 
            this.tabModels.Controls.Add(this.tvModels);
            this.tabModels.Location = new System.Drawing.Point(4, 22);
            this.tabModels.Name = "tabModels";
            this.tabModels.Padding = new System.Windows.Forms.Padding(3);
            this.tabModels.Size = new System.Drawing.Size(190, 379);
            this.tabModels.TabIndex = 0;
            this.tabModels.Text = "Models";
            this.tabModels.UseVisualStyleBackColor = true;
            // 
            // tvModels
            // 
            this.tvModels.CheckBoxes = true;
            this.tvModels.ContextMenuStrip = this.ctxModelTreeMenu;
            this.tvModels.Dock = System.Windows.Forms.DockStyle.Fill;
            this.tvModels.Location = new System.Drawing.Point(3, 3);
            this.tvModels.Name = "tvModels";
            this.tvModels.Size = new System.Drawing.Size(184, 373);
            this.tvModels.TabIndex = 0;
            this.tvModels.AfterCheck += new System.Windows.Forms.TreeViewEventHandler(this.tvModels_AfterCheck);
            // 
            // ctxModelTreeMenu
            // 
            this.ctxModelTreeMenu.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.mnuExtractCheckedModels,
            this.mnuExtractAllModels});
            this.ctxModelTreeMenu.Name = "ctxModelMenu";
            this.ctxModelTreeMenu.Size = new System.Drawing.Size(154, 48);
            this.ctxModelTreeMenu.Opening += new System.ComponentModel.CancelEventHandler(this.ctxModelMenu_Opening);
            // 
            // mnuExtractCheckedModels
            // 
            this.mnuExtractCheckedModels.Name = "mnuExtractCheckedModels";
            this.mnuExtractCheckedModels.Size = new System.Drawing.Size(153, 22);
            this.mnuExtractCheckedModels.Text = "Extract Checked";
            this.mnuExtractCheckedModels.Click += new System.EventHandler(this.mnuExtractCheckedModels_Click);
            // 
            // mnuExtractAllModels
            // 
            this.mnuExtractAllModels.Name = "mnuExtractAllModels";
            this.mnuExtractAllModels.Size = new System.Drawing.Size(153, 22);
            this.mnuExtractAllModels.Text = "Extract All";
            this.mnuExtractAllModels.Click += new System.EventHandler(this.mnuExtractAllModels_Click);
            // 
            // tabTextures
            // 
            this.tabTextures.Controls.Add(this.tvTextures);
            this.tabTextures.Location = new System.Drawing.Point(4, 22);
            this.tabTextures.Name = "tabTextures";
            this.tabTextures.Padding = new System.Windows.Forms.Padding(3);
            this.tabTextures.Size = new System.Drawing.Size(190, 379);
            this.tabTextures.TabIndex = 1;
            this.tabTextures.Text = "Textures";
            this.tabTextures.UseVisualStyleBackColor = true;
            // 
            // tvTextures
            // 
            this.tvTextures.CheckBoxes = true;
            this.tvTextures.ContextMenuStrip = this.ctxTextureTreeMenu;
            this.tvTextures.Dock = System.Windows.Forms.DockStyle.Fill;
            this.tvTextures.Location = new System.Drawing.Point(3, 3);
            this.tvTextures.Name = "tvTextures";
            this.tvTextures.Size = new System.Drawing.Size(184, 373);
            this.tvTextures.TabIndex = 0;
            this.tvTextures.AfterSelect += new System.Windows.Forms.TreeViewEventHandler(this.tvTextures_AfterSelect);
            // 
            // ctxTextureTreeMenu
            // 
            this.ctxTextureTreeMenu.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.mnuExtractSelectedTextures,
            this.mnuExtractAllTextures});
            this.ctxTextureTreeMenu.Name = "ctxTextureMenu";
            this.ctxTextureTreeMenu.Size = new System.Drawing.Size(154, 48);
            this.ctxTextureTreeMenu.Opening += new System.ComponentModel.CancelEventHandler(this.ctxTextureTreeMenu_Opening);
            // 
            // mnuExtractSelectedTextures
            // 
            this.mnuExtractSelectedTextures.Name = "mnuExtractSelectedTextures";
            this.mnuExtractSelectedTextures.Size = new System.Drawing.Size(153, 22);
            this.mnuExtractSelectedTextures.Text = "Extract Checked";
            this.mnuExtractSelectedTextures.Click += new System.EventHandler(this.mnuExtractCheckedTextures_Click);
            // 
            // mnuExtractAllTextures
            // 
            this.mnuExtractAllTextures.Name = "mnuExtractAllTextures";
            this.mnuExtractAllTextures.Size = new System.Drawing.Size(153, 22);
            this.mnuExtractAllTextures.Text = "Extract All";
            this.mnuExtractAllTextures.Click += new System.EventHandler(this.mnuExtractAllTextures_Click);
            // 
            // pnlTextureDisplay
            // 
            this.pnlTextureDisplay.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(153)))), ((int)(((byte)(180)))), ((int)(((byte)(209)))));
            this.pnlTextureDisplay.ContextMenuStrip = this.ctxTextureMenu;
            this.pnlTextureDisplay.Dock = System.Windows.Forms.DockStyle.Fill;
            this.pnlTextureDisplay.Location = new System.Drawing.Point(0, 0);
            this.pnlTextureDisplay.Name = "pnlTextureDisplay";
            this.pnlTextureDisplay.Size = new System.Drawing.Size(427, 405);
            this.pnlTextureDisplay.TabIndex = 1;
            this.pnlTextureDisplay.Visible = false;
            this.pnlTextureDisplay.Paint += new System.Windows.Forms.PaintEventHandler(this.pnlTextureDisplay_Paint);
            this.pnlTextureDisplay.Resize += new System.EventHandler(this.pnlTextureDisplay_Resize);
            // 
            // ctxTextureMenu
            // 
            this.ctxTextureMenu.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.mnuShowTextureAlpha,
            this.mnuSaveTextureAs});
            this.ctxTextureMenu.Name = "ctxTextureMenuDetails";
            this.ctxTextureMenu.Size = new System.Drawing.Size(173, 48);
            this.ctxTextureMenu.Opening += new System.ComponentModel.CancelEventHandler(this.ctxTextureMenu_Opening);
            // 
            // mnuShowTextureAlpha
            // 
            this.mnuShowTextureAlpha.CheckOnClick = true;
            this.mnuShowTextureAlpha.Name = "mnuShowTextureAlpha";
            this.mnuShowTextureAlpha.Size = new System.Drawing.Size(172, 22);
            this.mnuShowTextureAlpha.Text = "Show Alpha Channel";
            this.mnuShowTextureAlpha.CheckedChanged += new System.EventHandler(this.mnuShowTextureAlpha_CheckedChanged);
            // 
            // mnuSaveTextureAs
            // 
            this.mnuSaveTextureAs.Name = "mnuSaveTextureAs";
            this.mnuSaveTextureAs.Size = new System.Drawing.Size(172, 22);
            this.mnuSaveTextureAs.Text = "Save As...";
            this.mnuSaveTextureAs.Click += new System.EventHandler(this.mnuSaveTextureAs_Click);
            // 
            // pnlViewport
            // 
            this.pnlViewport.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(153)))), ((int)(((byte)(180)))), ((int)(((byte)(209)))));
            this.pnlViewport.ContextMenuStrip = this.ctxViewportMenu;
            this.pnlViewport.Dock = System.Windows.Forms.DockStyle.Fill;
            this.pnlViewport.Location = new System.Drawing.Point(0, 0);
            this.pnlViewport.Name = "pnlViewport";
            this.pnlViewport.Size = new System.Drawing.Size(427, 405);
            this.pnlViewport.TabIndex = 0;
            this.pnlViewport.Paint += new System.Windows.Forms.PaintEventHandler(this.pnlViewport_Paint);
            this.pnlViewport.Resize += new System.EventHandler(this.pnlViewport_Resize);
            // 
            // ctxViewportMenu
            // 
            this.ctxViewportMenu.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.mnuShowWireframe,
            this.mnuExportObj,
            this.cmbViewportSpeed});
            this.ctxViewportMenu.Name = "ctxViewportMenu";
            this.ctxViewportMenu.Size = new System.Drawing.Size(188, 73);
            this.ctxViewportMenu.Opening += new System.ComponentModel.CancelEventHandler(this.ctxViewportMenu_Opening);
            // 
            // mnuShowWireframe
            // 
            this.mnuShowWireframe.CheckOnClick = true;
            this.mnuShowWireframe.Name = "mnuShowWireframe";
            this.mnuShowWireframe.Size = new System.Drawing.Size(187, 22);
            this.mnuShowWireframe.Text = "Show Wireframe";
            this.mnuShowWireframe.Click += new System.EventHandler(this.mnuShowWireframe_Click);
            // 
            // mnuExportObj
            // 
            this.mnuExportObj.Name = "mnuExportObj";
            this.mnuExportObj.Size = new System.Drawing.Size(187, 22);
            this.mnuExportObj.Text = "Export Wavefront .OBJ";
            this.mnuExportObj.Click += new System.EventHandler(this.mnuExportObj_Click);
            // 
            // cmbViewportSpeed
            // 
            this.cmbViewportSpeed.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.cmbViewportSpeed.Items.AddRange(new object[] {
            "1x Camera Speed",
            "2x Camera Speed"});
            this.cmbViewportSpeed.Name = "cmbViewportSpeed";
            this.cmbViewportSpeed.Size = new System.Drawing.Size(121, 21);
            // 
            // ForzaStudioForm
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.ClientSize = new System.Drawing.Size(632, 453);
            this.Controls.Add(this.splitContainer1);
            this.Controls.Add(this.statusStrip1);
            this.Controls.Add(this.mnuMain);
            this.DoubleBuffered = true;
            this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
            this.MainMenuStrip = this.mnuMain;
            this.MinimumSize = new System.Drawing.Size(640, 480);
            this.Name = "ForzaStudioForm";
            this.Text = "Forza Studio 4.0 - Forza Motorsport Resource Extraction Tool";
            this.Shown += new System.EventHandler(this.ForzaStudioForm_Shown);
            this.MouseWheel += new System.Windows.Forms.MouseEventHandler(this.Form1_MouseWheel);
            this.statusStrip1.ResumeLayout(false);
            this.statusStrip1.PerformLayout();
            this.mnuMain.ResumeLayout(false);
            this.mnuMain.PerformLayout();
            this.splitContainer1.Panel1.ResumeLayout(false);
            this.splitContainer1.Panel2.ResumeLayout(false);
            this.splitContainer1.ResumeLayout(false);
            this.tabForzaObjects.ResumeLayout(false);
            this.tabModels.ResumeLayout(false);
            this.ctxModelTreeMenu.ResumeLayout(false);
            this.tabTextures.ResumeLayout(false);
            this.ctxTextureTreeMenu.ResumeLayout(false);
            this.ctxTextureMenu.ResumeLayout(false);
            this.ctxViewportMenu.ResumeLayout(false);
            this.ResumeLayout(false);
            this.PerformLayout();

        }

        #endregion

        private System.Windows.Forms.StatusStrip statusStrip1;
        private System.Windows.Forms.MenuStrip mnuMain;
        private System.Windows.Forms.ToolStripMenuItem mnuFile;
        private System.Windows.Forms.ToolStripMenuItem mnuAbout;
        private System.Windows.Forms.SplitContainer splitContainer1;
        private System.Windows.Forms.TreeView tvModels;
        private System.Windows.Forms.TabControl tabForzaObjects;
        private System.Windows.Forms.TabPage tabModels;
        private System.Windows.Forms.TabPage tabTextures;
        private System.Windows.Forms.TreeView tvTextures;
        private System.Windows.Forms.ToolStripMenuItem mnuImport;
        private System.Windows.Forms.ToolStripMenuItem mnuExit;
        private System.Windows.Forms.Panel pnlViewport;
        private System.Windows.Forms.ContextMenuStrip ctxViewportMenu;
        private System.Windows.Forms.ToolStripMenuItem mnuShowWireframe;
        private System.Windows.Forms.ContextMenuStrip ctxModelTreeMenu;
        private System.Windows.Forms.ContextMenuStrip ctxTextureTreeMenu;
        private System.Windows.Forms.ToolStripMenuItem mnuExtractAllModels;
        private System.Windows.Forms.ToolStripMenuItem mnuExtractCheckedModels;
        private System.Windows.Forms.ToolStripMenuItem mnuExtractAllTextures;
        private System.Windows.Forms.ToolStripMenuItem mnuExtractSelectedTextures;
        private System.Windows.Forms.ToolStripMenuItem mnuUnpackArchive;
        private System.Windows.Forms.Panel pnlTextureDisplay;
        private System.Windows.Forms.ContextMenuStrip ctxTextureMenu;
        private System.Windows.Forms.ToolStripMenuItem mnuShowTextureAlpha;
        private System.Windows.Forms.ToolStripMenuItem mnuSaveTextureAs;
        private System.Windows.Forms.ToolStripMenuItem mnuUtilities;
        private System.Windows.Forms.ToolStripStatusLabel lblStatus;
        private System.Windows.Forms.ToolStripMenuItem mnuExportObj;
        private System.Windows.Forms.ToolStripComboBox cmbViewportSpeed;
        private System.Windows.Forms.ToolStripStatusLabel lblInformation;
    }
}

